package com.bonus.hn.bearing.capacity.backstage.manager.dao;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.AnnouncementBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.DownloadFileBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;
import org.springframework.stereotype.Repository;

import java.util.List;
/**
 * @author bonus
 */
@Repository(value = "AnnouncementDao")
public interface AnnouncementDao {
	List<AnnouncementBean> getAnnouncementList(AnnouncementBean o);

	int addAnnouncementInfo(AnnouncementBean bean);

	int insertUserNoticeRelation(String id, String userId);

	List<String> getAllPerson();

	int checkTitle(AnnouncementBean o);

	List<AnnouncementBean> getAnnouncementType(AnnouncementBean o);

	int delAnnouncementTypeById(AnnouncementBean bean);

	int delAnnouncementById(AnnouncementBean bean);

	AnnouncementBean getAnnouncementView(AnnouncementBean o);

	List<FileBean> getFileList(FileBean o);

	List<AnnouncementBean> getUserList(AnnouncementBean o);

	List<TreeBean> getCompanyProTree(TreeBean o);

	List<TreeBean> getPersonTree(TreeBean o);

	int updateCateManage(AnnouncementBean bean);

	int insertCateManage(AnnouncementBean bean);

    int insertFileDownLoadRecord(DownloadFileBean bean);
}
